
.totop1 {
   position: absolute;
/*
	 bottom: 10px;
 */
	    bottom: 10px;
      right: 30px;
    z-index: 100;
     filter:alpha(opacity=0);
    -moz-opacity: 0;
    opacity: 0;
}
.totop1 img {
	width: 27px;
}
div.scrollx {
	position: relative;
	display: flex;
	justify-content: center;
	height: 80vh;
}
#table {
	height: 100%;
	overflow-Y: auto;
	overflow-X: visible;
	min-width: 900px;
}
div.line1 {
	width: 100%;
}
button {
	width: 120px;
}

div.condition {
	line-height: 1.8em;
}
div.condition .title h3 {
	display: inline-block;
}
div.condition .button {
	border: solid 1px #aaa;
	padding-right: 10px;
	padding-left: 10px;
	border-radius: 6px;
}
div.condition .button:hover  {
	background-color: #eee;
	border-color: #888;
}
div.condition .title {
	display: flex;
	padding: 0px;
	border-width: 0px;
}
div.condition h3{
	margin: 0px;
}
div.condition .flex {
}
div.condition .flex > div {
	padding: 8px;
	border: solid 1px #aaa;
}
div.inputgroup {
	display: inline-block;
}
div.inputgroup span {
	white-space: nowrap;
}

span.kind {
	font-weight: bold;
}

/* ぐるぐる */
.loader {
  align-items: center;
  background: rgba(255,255,255,0.7);
      bottom: 0;
     display: flex;
  justify-content: center;
             left: 0;
         position: fixed;
            right: 0;
              top: 0;
  z-index: 999;
}

.loader:after {
   border-bottom: 4px solid white;
     border-left: 4px solid #a0a0ff;
    border-right: 4px solid #8080ff;
      border-top: 4px solid orange;
   border-radius: 50%;
         content: "";
       animation: xxx 0.5s linear infinite;
/*
         content: "xxx";
*/
    height: 70px;
     width: 70px;
}
.loader .progress {
    position: absolute;
    background-color: #000;
    top: calc(50vh + 46px);
        color: #fff;
      display: flex;
    justify-content: center;
     min-width: 200px;
    min-height: 2em;
    padding-right: 4px;
    padding-left: 4px;
    line-height: 2em;

}
@keyframes xxx {
  0% {
    transform: rotate(0);
  }

  100% {
    transform: rotate(360deg);
  }
}
